clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
SwappedArgumentsCheck.cpp File Reference
`#include "SwappedArgumentsCheck.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/Lex/Lexer.h"`
`#include "llvm/ADT/SmallPtrSet.h"`
Include dependency graph for SwappedArgumentsCheck.cpp:

Go to the source code of this file.

## Namespaces
| clang
| clang::tidy
| clang::tidy::misc

## Functions
static const Expr * | clang::tidy::misc::ignoreNoOpCasts (const Expr *E)
| Look through lvalue to rvalue and nop casts. More...
static bool | clang::tidy::misc::isImplicitCastCandidate (const CastExpr *Cast)
| Restrict the warning to implicit casts that are most likely accidental. More...
static StringRef | clang::tidy::misc::getAsString (const MatchFinder::MatchResult &Result, SourceRange R)
| Get a StringRef representing a SourceRange. More...